<?php
namespace nur\b\proc;

/**
 * Class CmdList: une séquence de commandes séparées par ;
 *
 * Toutes les commandes sont exécutées et le code d'erreur est celui de la
 * dernière commande exécutée
 */
class Cmd extends AbstractCmdList {
  static function with($cmd=null): Cmd {
    if ($cmd instanceof Cmd) return $cmd;
    return new static($cmd);
  }

  function __construct($cmd=null, ?string $input=null, ?string $output=null) {
    parent::__construct(null, $cmd, $input, $output);
  }
}
